Skip to content

List & Delete Monitors

List all active monitors for your workspace, or delete one by ID.

List monitors

GET /api/v1/monitors

Returns all active monitors for the authenticated workspace.

cURLbash
curl "https://kooperativa.io/api/v1/monitors" \
  -H "Authorization: Bearer ik_live_..."
Responsejson
{
  "monitors": [
    {
      "id": "45e0bba8-...",
      "type": "person",
      "subject_url": "https://www.linkedin.com/in/satyanadella",
      "label": "Satya Nadella",
      "webhook_url": "https://your-app.com/webhooks/kooperativa",
      "events": ["person.job_changed"],
      "active": true,
      "created_at": "2026-07-14T10:00:00Z"
    }
  ]
}

Delete a monitor

DELETE /api/v1/monitors

Stop monitoring a profile or company and delete the monitor.

Query parameters

Parameter Type Required Description
id string Yes Monitor ID to delete
cURLbash
curl -X DELETE "https://kooperativa.io/api/v1/monitors?id=45e0bba8-..." \
  -H "Authorization: Bearer ik_live_..."
Responsejson
{ "ok": true }
Navigation

Type to search…

↑↓ navigate↵ selectEsc close